@import url('https://fonts.googleapis.com/css2?family=Koh+Santepheap:wght@400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

:root {
    --primary: #c6082e;
    --secondary: #102f52;
    --white: #ffffff;
}
body, * {
    font-family: 'Poppins', sans-serif;
}
h1.bigger {
    font-size: 3rem;
}

.kh-font{
    font-family: 'Koh Santepheap', cursive;
}

.lang-icon {
    width: 32px;
    margin-left: 5px;
    margin-right: 5px;
    cursor: pointer;
}
.prointix-about p{
    font-size: 1.1rem;
}
.prointix-service img {
    width: 100%;
    height: 220px;
    border-radius: 8px;
    object-fit: cover;
}
.prointix-service .card .card-img-overlay{
    transition: 0.3s;
}
.overlay-dark {
    background-color: rgba(0, 0, 0, 0.50);
    border-radius: 10px;
}
.overlay-dark-orange {
    background-color: rgba(101, 85, 27, 0.50);
    border-radius: 10px;
}
.overlay-dark-purple {
    background-color: rgba(89, 60, 206, 0.50);
    border-radius: 10px;
}
.overlay-dark-red {
    background-color: rgba(124, 56, 56, 0.50);
    border-radius: 10px;
}
.prointix-service .card:hover .overlay-dark {
    background-color: rgba(0, 0, 0, 0.20);
    cursor: pointer;
}
.prointix-service .card:hover .overlay-dark-orange {
    background-color: rgba(101, 85, 27, 0.20);
    cursor: pointer;
}
.prointix-service .card:hover .overlay-dark-purple {
    background-color: rgba(89, 60, 206, 0.20);
    cursor: pointer;
}
.prointix-service .card:hover .overlay-dark-red {
    background-color: rgba(124, 56, 56, 0.20);
    cursor: pointer;
}
.text-primary {
    color: var(--primary) !important;
}
.text-secondary {
    color: var(--secondary) !important;
}
@media (max-width: 575.98px) {
    .navbar-brand img {
        width: 100px !important;
    }
    .btn-contact-us {
        font-size: .6rem;
    }
    .lang-icon {
        width: 24px;
    }
    .prointix-about {
        margin-top: 1.5rem;
    }
    .prointix-about h1{
        font-size: 1.3rem;
    }
    .prointix-about h1.bigger{
        font-size: 1.5rem;
    }
    .prointix-about p{
        font-size: .8rem;
        padding: 0rem 1rem;
    }
    #footer div {
        font-size: .66rem;
    }
}
.font-weigth-semibold {
    font-weight: 500;
}
.line-dotted {
    text-decoration: underline;
    text-decoration-style: dotted;
}

/* Social Media icon */
/* --- Add this CSS --- */
.social-buttons {
    position: fixed;
    z-index: 1;
    right: 2rem;
    min-height: 100vh;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
}
.social-buttons a {
    display: inline-flex;
    text-decoration: none;
    font-size: 1.2rem;
    width: 3rem;
    height: 3rem;
    color: var(--primary);
    justify-content: center;
    align-items: center;
    position: relative;
    margin: 4px 0;
}

.social-buttons a::before {
    content: "";
    position: absolute;
    width: 3rem;
    height: 3rem;
    background:  var(--white);
    border-radius: 50%;
    border: 1px solid gainsboro;
    z-index: -1;
    transition: 0.3s ease-in;
}
